Get Event Log IDs with Credit or Debit for Alternate Currency

❗️

This is a private API. Private APIs are deprecated and hence hidden.

The API retrieves event log IDs that have CREDIT or DEBIT entries for alternate currencies from the ledger entries.

🚧

Note

This is a private API and is accessible only through Neo dataflows.

Prerequisites

  • Access to Neo
  • Basic or OAuth authentication details
  • Access group resource - NA

Resource information

URI to be used in Neo dataflow/das/getACLedgerEntriesWithEventId
HTTP methodGET
Pagination supported?Yes
Rate limitBased on Neo
Batch supportNA

Request query parameters

Parameter (Parameters marked with * are mandatory)Data TypeDescription
ledger_entry_types*StringType of entry recorded in a customer's points ledger. Allowed values: CREDIT, DEBIT
entity_id*LongUnique customer ID of the customer
end_date*DateLast date to which you want to retrieve the ledger information Format: YYYY-MM-DD. Example: 2025-06-22
start_date*DateStart date from which you want to retrieve the ledger information
Format: YYYY-MM-DD. Example: 2024-01-01
alternate_currency_names*StringName of the alternate currency for which ledger information is retrieved.
till_ids*IntegerTill IDs used to filter the results.
is_filter_not_based_on_date*BooleanIndicates whether the API should apply a date filter.
  • If set to 1, the API does not apply any date filter. However, you must still pass dummy values for start_date and end_date.
    Example: 2025-01-01.
  • If set to 0, the API filters the results based on the provided date range. In this case, pass the actual start_date and end_date values.
    Example: 2024-04-01 to 2025-03-31.
is_till_not_present*BooleanIndicates whether the API should ignore filtering by till ID.
  • If set to 1, the API does not apply a till ID filter. In this case, pass till_ids = -1.
  • If set to 0, the API filters results based on the specified till IDs. Provide one or more comma-separated values in the till_ids parameter.
    Example: 1234323432,8759345333.
pageIntegerRetrieve details of a specific page. Page count starts from 1. Example: page=2 retrieves data on page 2.
countIntegerNumber of results to display per page. The default value is 10. The maximum supported value is 100.

Response parameters

ParameterData TypeDescription
ledgerEntryTypeStringType of ledger entry.
Example: CREDIT or DEBIT.
cpsIdLongUnique identifier for the customer points system entry.
configMetadataStringAdditional metadata related to configuration.
pointsLedgerIdLongUnique identifier of the points ledger entry.
createdOnLongTime when the ledger entry was created, in epoch milliseconds
pointsCategoryNameStringName of the points category used.
eventSubjectIdLongID of the event subject, usually a customer or account.
processingTimeLongTime when the event was processed, in epoch milliseconds
alternateCurrencyNameStringName of the alternate currency.
Example: Flux.
pointsFloatNumber of points credited or debited
categoryTypeStringType of point category.
Example: ALTERNATE_CURRENCIES.
eventTypeIdIntegerUnique identifier of the event type.
sourceProgramIdIntegerProgram ID from which the points originated.
entityMetadataStringJSON string with metadata like slab info, programId, and slab name.
requestIdStringUnique identifier for the request.
customerIdLongUnique ID of the customer.
eventTimeLongTime when the event occurred, in epoch milliseconds
eventNameStringName of the event.
Example: TransactionAdd.
genericEventIdStringIdentifier for generic event, if any.
eventLogIdLongUnique identifier of the event log entry.
tillIdLongID of the source till.
uniqueIdStringUnique string identifier for the transaction or record.

Sample response

   [
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 85912155,
        "configMetadata": null,
        "pointsLedgerId": 64554870,
        "createdOn": 1744382856000,
        "pointsCategoryName": "Flux_REGULAR",
        "eventSubjectId": 2152201202,
        "processingTime": 1743107884000,
        "alternateCurrencyName": "Flux",
        "points": 1370.25,
        "categoryType": "ALTERNATE_CURRENCIES",
        "eventTypeId": 15,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"pointInTimeSlabs\": [{\"programId\": 2809, \"isDefaultProgram\": true, \"pointInTimeSlabName\": \"Diamond\", \"pointInTimeSlabNumber\": 5}]}",
        "requestId": "e7a4344912bde36e4bd9994eb9d96f76",
        "customerId": 387457911,
        "eventTime": 1743107884000,
        "eventName": "TransactionAdd",
        "genericEventId": null,
        "eventLogId": 37188433,
        "tillId": 50691660,
        "uniqueId": "7eCwyq507M"
      },
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 85912155,
        "configMetadata": null,
        "pointsLedgerId": 64554867,
        "createdOn": 1744382854000,
        "pointsCategoryName": "Flux_REGULAR",
        "eventSubjectId": 2152201200,
        "processingTime": 1741873476000,
        "alternateCurrencyName": "Flux",
        "points": 300,
        "categoryType": "ALTERNATE_CURRENCIES",
        "eventTypeId": 15,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"pointInTimeSlabs\": [{\"programId\": 2809, \"isDefaultProgram\": true, \"pointInTimeSlabName\": \"Diamond\", \"pointInTimeSlabNumber\": 5}]}",
        "requestId": "e7a4344912bde36e4bd9994eb9d96f76",
        "customerId": 387457911,
        "eventTime": 1741873476000,
        "eventName": "TransactionAdd",
        "genericEventId": null,
        "eventLogId": 37188431,
        "tillId": 50691660,
        "uniqueId": "13QwzvQmiM"
      },
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 85912155,
        "configMetadata": null,
        "pointsLedgerId": 64554861,
        "createdOn": 1744382851000,
        "pointsCategoryName": "Flux_REGULAR",
        "eventSubjectId": 2152201116,
        "processingTime": 1743263207000,
        "alternateCurrencyName": "Flux",
        "points": 655.8,
        "categoryType": "ALTERNATE_CURRENCIES",
        "eventTypeId": 15,
        "sourceProgramId": 3414,
        "entityMetadata": "{\"pointInTimeSlabs\": [{\"programId\": 3414, \"isDefaultProgram\": false, \"pointInTimeSlabName\": \"ELITE\", \"pointInTimeSlabNumber\": 2}, {\"programId\": 2809, \"isDefaultProgram\": true, \"pointInTimeSlabName\": \"Diamond\", \"pointInTimeSlabNumber\": 5}]}",
        "requestId": "2078c7ea355f2e971886d3da8f2dc087",
        "customerId": 387457911,
        "eventTime": 1743263207000,
        "eventName": "TransactionAdd",
        "genericEventId": null,
        "eventLogId": 37188428,
        "tillId": 50776027,
        "uniqueId": "3i8qVUFzeF"
      }
    ]

Error code

Error CodeDescription
400Bad Request
404Not Found
500Internal Server Error